Index: coreboot-v2-3363/src/include/device/pci_ids.h
===================================================================
--- coreboot-v2-3363.orig/src/include/device/pci_ids.h
+++ coreboot-v2-3363/src/include/device/pci_ids.h
@@ -2354,6 +2354,17 @@
 #define PCI_DEVICE_ID_INTEL_3100_PCIE_PA 0x35b6
 #define PCI_DEVICE_ID_INTEL_3100_PCIE_PA1 0x35b7
 
+/* Intel EP80579 */
+#define PCI_DEVICE_ID_INTEL_EP80579_LPC    0x5031
+#define PCI_DEVICE_ID_INTEL_EP80579_EHCI   0x5035
+#define PCI_DEVICE_ID_INTEL_EP80579_SATA   0x5028
+#define PCI_DEVICE_ID_INTEL_EP80579_SATA_R 0x5029
+#define PCI_DEVICE_ID_INTEL_EP80579_USB    0x5033
+#define PCI_DEVICE_ID_INTEL_EP80579_SMB    0x5032
+#define PCI_DEVICE_ID_INTEL_EP80579_MC     0x5020
+#define PCI_DEVICE_ID_INTEL_EP80579_PCIE_PA 0x5024
+#define PCI_DEVICE_ID_INTEL_EP80579_PCIE_PA1 0x5025
+
 #define PCI_DEVICE_ID_INTEL_80310	0x530d
 #define PCI_DEVICE_ID_INTEL_82810_MC1	0x7120
 #define PCI_DEVICE_ID_INTEL_82810_IG1	0x7121
